# environment

abstract fun environment(environmentVariables: Map<String, out Any>): ProcessForkOptions

Adds some environment variables to the environment for this process.

#### Return

this

#### Parameters

environmentVariables

The environment variables. Must not be null.

abstract fun environment(name: String, value: Any): ProcessForkOptions

Adds an environment variable to the environment for this process.

#### Return

this

#### Parameters

name

The name of the variable.

value

The value for the variable. Must not be null.